Skip to main content
GET
/
v1
/
traces
/
{traceId}
/
spans
/
{spanId}
Get Span I/O Detail
curl --request GET \
  --url https://api.agentmark.co/v1/traces/{traceId}/spans/{spanId} \
  --header 'Authorization: <api-key>' \
  --header 'X-Agentmark-App-Id: <x-agentmark-app-id>'
{
  "data": {
    "input": "<string>",
    "output": "<string>",
    "output_object": {},
    "tool_calls": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Your AgentMark API key. Create one in the dashboard under Settings > API Keys.

Example: Authorization: Bearer am_live_abc123

Headers

X-Agentmark-App-Id
string
required

Your application ID. Found in the dashboard under Settings > General.

Example:

"app_abc123"

Path Parameters

traceId
string
required
spanId
string
required

Response

Full I/O payload for the span.

data
object